### Method

# Meta SoundPlayer play_from_file

#### Declaration [src]

    void
    meta_sound_player_play_from_file (
      MetaSoundPlayer* player,
      GFile* file,
      const char* description,
      GCancellable* cancellable
    )

#### Description [src]

Plays a sound from a file.

#### Parameters

`file`

  Type: `GFile`

  File to play.

  The data is owned by the caller of the method.

`description`

  Type: `const char*`

  Description of the played sound.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Cancellable for the request.

  The argument can be `NULL`.
  The data is owned by the caller of the method.